@import 'utility/colors';
@import 'utility/constants';

$spinner-size: 6rem;

.spinner {
  width: $spinner-size;
  height: $spinner-size;
  display: grid;
  border-radius: 50%;
  animation: spinner 1s infinite linear;

  z-index: $spinner-z-index;

  border: calc($spinner-size / 12) solid;
  border-color: $secondary #0000;

  &::before,
  &::after {
    content: '';
    grid-area: 1/1;
    margin: calc($spinner-size / 20);
    border: inherit;
    border-radius: 50%;
  }

  &::before {
    animation: inherit;
    animation-duration: 0.5s;
    animation-direction: reverse;
    border-color: $primary #0000;
  }
  &::after {
    margin: calc($spinner-size / 5);
    animation: inherit;
  }
}

@keyframes spinner {
  100% {
    transform: rotate(1turn);
  }
}

.loader {
  position: absolute;
  top: 0;
  left: 0;

  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  width: 100vw;
  background-color: $background;
  transition: opacity 0.3s ease-in-out;

  z-index: $loader-z-index;

  .spinner {
    border-color: $secondary #0000;
    &::before {
      border-color: $primary #0000;
    }
  }

  &.loaded {
    opacity: 0;
  }
}
